> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.jambonz.org/reference/rest-platform-management/applications/create-application/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server. # create application POST https://api.jambonz.cloud/v1/Applications Content-Type: application/json Reference: https://docs.jambonz.org/reference/rest-platform-management/applications/create-application ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects an object. - `name` (string, required) — application name - `account_sid` (string, required) - `call_hook` (Webhook, required) — application webhook to handle inbound voice calls - `call_status_hook` (Webhook, required) — webhook to report call status events - `messaging_hook` (Webhook, optional) — application webhook to handle inbound SMS/MMS messages - `app_json` (string, optional) — Voice Application Json, call_hook will not be invoked if app_json is provided - `speech_synthesis_vendor` (string, optional) - `speech_synthesis_voice` (string, optional) - `speech_recognizer_vendor` (string, optional) - `speech_recognizer_language` (string, optional) - `env_vars` (ApplicationsPostRequestBodyContentApplicationJsonSchemaEnvVars, optional) — Object containing the Application Environment Variables as key/value to be sent with the call_hook payload ## Response ### 201 application successfully created - `sid` (string, required) ## Errors ### 400 Bad Request Error bad request - `msg` (string, required) ### 422 Unprocessable Entity Error unprocessable entity - `msg` (string, required) ### 500 Internal Server Error system error - `msg` (string, required) ## Types ### Webhook - `url` (string, required) - `webhook_sid` (string, optional) - `method` (enum, optional) - Allowed values: `get`, `post` - `username` (string, optional) - `password` (string, optional) ### ApplicationsPostRequestBodyContentApplicationJsonSchemaEnvVars Object containing the Application Environment Variables as key/value to be sent with the call_hook payload ## Examples **Request** ```json { "name": "string", "account_sid": "string", "call_hook": { "url": "https://acme.com", "method": "get" }, "call_status_hook": { "url": "https://acme.com", "method": "get" } } ``` **Response** ```json { "sid": "9d26a637-1679-471f-8da8-7150266e1254" } ``` **SDK Code** ```python import requests url = "https://api.jambonz.cloud/v1/Applications" payload = { "name": "string", "account_sid": "string", "call_hook": { "url": "https://acme.com", "method": "get" }, "call_status_hook": { "url": "https://acme.com", "method": "get" } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.jambonz.cloud/v1/Applications'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"name":"string","account_sid":"string","call_hook":{"url":"https://acme.com","method":"get"},"call_status_hook":{"url":"https://acme.com","method":"get"}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.jambonz.cloud/v1/Applications" payload := strings.NewReader("{\n \"name\": \"string\",\n \"account_sid\": \"string\",\n \"call_hook\": {\n \"url\": \"https://acme.com\",\n \"method\": \"get\"\n },\n \"call_status_hook\": {\n \"url\": \"https://acme.com\",\n \"method\": \"get\"\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.jambonz.cloud/v1/Applications") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"string\",\n \"account_sid\": \"string\",\n \"call_hook\": {\n \"url\": \"https://acme.com\",\n \"method\": \"get\"\n },\n \"call_status_hook\": {\n \"url\": \"https://acme.com\",\n \"method\": \"get\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.jambonz.cloud/v1/Applications") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"string\",\n \"account_sid\": \"string\",\n \"call_hook\": {\n \"url\": \"https://acme.com\",\n \"method\": \"get\"\n },\n \"call_status_hook\": {\n \"url\": \"https://acme.com\",\n \"method\": \"get\"\n }\n}") .asString(); ``` ```php request('POST', 'https://api.jambonz.cloud/v1/Applications', [ 'body' => '{ "name": "string", "account_sid": "string", "call_hook": { "url": "https://acme.com", "method": "get" }, "call_status_hook": { "url": "https://acme.com", "method": "get" } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.jambonz.cloud/v1/Applications"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"string\",\n \"account_sid\": \"string\",\n \"call_hook\": {\n \"url\": \"https://acme.com\",\n \"method\": \"get\"\n },\n \"call_status_hook\": {\n \"url\": \"https://acme.com\",\n \"method\": \"get\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "name": "string", "account_sid": "string", "call_hook": [ "url": "https://acme.com", "method": "get" ], "call_status_hook": [ "url": "https://acme.com", "method": "get" ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/Applications")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```